JspConfig (Tomcat API Documentation)
Keywords: org.apache.jasper.compiler.JspConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspConfig

    java.lang.Object
      org.apache.jasper.compiler.JspConfig

    public class JspConfig

extends java.lang.Object

Handles the jsp-config element in WEB_INF/web.xml. This is used for specifying the JSP configuration information on a JSP page

Author:
  Kin-man Chung, Remy Maucherat

Nested Class Summary
`static class` | `JspConfig.JspProperty`

Constructor Summary
`JspConfig(javax.servlet.ServletContext ctxt)`

Method Summary
`JspConfig.JspProperty` | `findJspProperty(java.lang.String uri)` Find a property that best matches the supplied resource.
`boolean` | `isJspPage(java.lang.String uri)` To find out if an uri matches an url pattern in jsp config.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspConfig

    public JspConfig(javax.servlet.ServletContext ctxt)

Method Detail

### findJspProperty

    public JspConfig.JspProperty findJspProperty(java.lang.String uri)
                                          throws JasperException

  Find a property that best matches the supplied resource.

  Parameters:
    `uri` - the resource supplied.
  Returns:
    a JspProperty indicating the best match, or some default.
  Throws:
    `JasperException`

### isJspPage

    public boolean isJspPage(java.lang.String uri)
                      throws JasperException

  To find out if an uri matches an url pattern in jsp config. If so, then the uri is a JSP page. This is used primarily for jspc.

  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.